---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: pre-registration-demographic-service
spec:
  replicas: 1
  minReadySeconds: 10
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1
      maxSurge: 1 
  template:
    metadata:
      labels:
        app: pre-registration-demographic-service
    spec:
      initContainers:
      - name: wait-for-config-server
        image: centos:centos7
        command: [ "sh", "-c"]
        args:
        - while [ $(curl -sw '%{http_code}' $spring_config_url_env/actuator/health -o /dev/null) -ne 200 ]; do
            echo "config server not up at address $spring_config_url_env sleeping for 15 secs" ;
            sleep 15;
          done;
        env:
         - name: spring_config_url_env
           value: http://kernel-config-server:51000/config
      containers:
      - name: pre-registration-demographic-service
        image: docker-registry.mosip.io:5000/pre-registration-demographic-service
        env:
        - name: active_profile_env
          value: dev
        - name: spring_config_label_env
          value: 0.10.0
        - name: spring_config_url_env
          value: http://kernel-config-server:51000/config
        ports:
        - containerPort: 9092
        imagePullPolicy: Always
      imagePullSecrets:
      - name: pvt-reg-cred
---
apiVersion: v1
kind: Service
metadata:
  name: pre-registration-demographic-service
spec:
  ports:
    - port: 9092
  selector:
    app: pre-registration-demographic-service